## org.eclipse.datatools.modelbase.sql.datatypes.impl
Class IntervalDataTypeImpl

    java.lang.Object
      ENamedElementImpl
          org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
              org.eclipse.datatools.modelbase.sql.datatypes.impl.DataTypeImpl
                  org.eclipse.datatools.modelbase.sql.datatypes.impl.SQLDataTypeImpl
                      org.eclipse.datatools.modelbase.sql.datatypes.impl.PredefinedDataTypeImpl
                          org.eclipse.datatools.modelbase.sql.datatypes.impl.IntervalDataTypeImpl

All Implemented Interfaces:
  DataType, IntervalDataType, PredefinedDataType, SQLDataType, SQLObject

    public class IntervalDataTypeImpl

extends PredefinedDataTypeImpl
implements IntervalDataType

An implementation of the model object 'Interval Data Type'.

The following features are implemented:

- `Leading Qualifier`
- `Trailing Qualifier`
- `Leading Field Precision`
- `Trailing Field Precision`
- `Fractional Seconds Precision`

Method Summary
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`void` `eUnset(int featureID)`
`int` `getFractionalSecondsPrecision()`
`int` `getLeadingFieldPrecision()`
`IntervalQualifierType` `getLeadingQualifier()`
`int` `getTrailingFieldPrecision()`
`IntervalQualifierType` `getTrailingQualifier()`
`void` `setFractionalSecondsPrecision(int newFractionalSecondsPrecision)`
`void` `setLeadingFieldPrecision(int newLeadingFieldPrecision)`
`void` `setLeadingQualifier(IntervalQualifierType newLeadingQualifier)`
`void` `setTrailingFieldPrecision(int newTrailingFieldPrecision)`
`void` `setTrailingQualifier(IntervalQualifierType newTrailingQualifier)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.datatools.modelbase.sql.datatypes.impl.PredefinedDataTypeImpl
`getPrimitiveType, setPrimitiveType`

Methods inherited from class org.eclipse.datatools.modelbase.sql.datatypes.impl.DataTypeImpl
`setContainer`

Methods inherited from class org.eclipse.datatools.modelbase.sql.schema.impl.SQLObjectImpl
`addEAnnotation, addEAnnotationDetail, eInverseAdd, eInverseRemove, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.PredefinedDataType
`getPrimitiveType, setPrimitiveType`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.datatypes.DataType
`setContainer`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getComments, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, getPrivileges, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getLeadingQualifier

    public IntervalQualifierType getLeadingQualifier()

  Specified by:
    `getLeadingQualifier` in interface `IntervalDataType`
  Returns:
    the value of the 'Leading Qualifier' attribute.
  See Also:
    `IntervalQualifierType`, `IntervalDataType.setLeadingQualifier(IntervalQualifierType)`, `SQLDataTypesPackage.getIntervalDataType_LeadingQualifier()`

### setLeadingQualifier

    public void setLeadingQualifier(IntervalQualifierType newLeadingQualifier)

  Specified by:
    `setLeadingQualifier` in interface `IntervalDataType`
  Parameters:
    `newLeadingQualifier` - the new value of the 'Leading Qualifier' attribute.
  See Also:
    `IntervalQualifierType`, `IntervalDataType.getLeadingQualifier()`

### getTrailingQualifier

    public IntervalQualifierType getTrailingQualifier()

  Specified by:
    `getTrailingQualifier` in interface `IntervalDataType`
  Returns:
    the value of the 'Trailing Qualifier' attribute.
  See Also:
    `IntervalQualifierType`, `IntervalDataType.setTrailingQualifier(IntervalQualifierType)`, `SQLDataTypesPackage.getIntervalDataType_TrailingQualifier()`

### setTrailingQualifier

    public void setTrailingQualifier(IntervalQualifierType newTrailingQualifier)

  Specified by:
    `setTrailingQualifier` in interface `IntervalDataType`
  Parameters:
    `newTrailingQualifier` - the new value of the 'Trailing Qualifier' attribute.
  See Also:
    `IntervalQualifierType`, `IntervalDataType.getTrailingQualifier()`

### getLeadingFieldPrecision

    public int getLeadingFieldPrecision()

  Specified by:
    `getLeadingFieldPrecision` in interface `IntervalDataType`
  Returns:
    the value of the 'Leading Field Precision' attribute.
  See Also:
    `IntervalDataType.setLeadingFieldPrecision(int)`, `SQLDataTypesPackage.getIntervalDataType_LeadingFieldPrecision()`

### setLeadingFieldPrecision

    public void setLeadingFieldPrecision(int newLeadingFieldPrecision)

  Specified by:
    `setLeadingFieldPrecision` in interface `IntervalDataType`
  Parameters:
    `newLeadingFieldPrecision` - the new value of the 'Leading Field Precision' attribute.
  See Also:
    `IntervalDataType.getLeadingFieldPrecision()`

### getTrailingFieldPrecision

    public int getTrailingFieldPrecision()

  Specified by:
    `getTrailingFieldPrecision` in interface `IntervalDataType`
  Returns:
    the value of the 'Trailing Field Precision' attribute.
  See Also:
    `IntervalDataType.setTrailingFieldPrecision(int)`, `SQLDataTypesPackage.getIntervalDataType_TrailingFieldPrecision()`

### setTrailingFieldPrecision

    public void setTrailingFieldPrecision(int newTrailingFieldPrecision)

  Specified by:
    `setTrailingFieldPrecision` in interface `IntervalDataType`
  Parameters:
    `newTrailingFieldPrecision` - the new value of the 'Trailing Field Precision' attribute.
  See Also:
    `IntervalDataType.getTrailingFieldPrecision()`

### getFractionalSecondsPrecision

    public int getFractionalSecondsPrecision()

  Specified by:
    `getFractionalSecondsPrecision` in interface `IntervalDataType`
  Returns:
    the value of the 'Fractional Seconds Precision' attribute.
  See Also:
    `IntervalDataType.setFractionalSecondsPrecision(int)`, `SQLDataTypesPackage.getIntervalDataType_FractionalSecondsPrecision()`

### setFractionalSecondsPrecision

    public void setFractionalSecondsPrecision(int newFractionalSecondsPrecision)

  Specified by:
    `setFractionalSecondsPrecision` in interface `IntervalDataType`
  Parameters:
    `newFractionalSecondsPrecision` - the new value of the 'Fractional Seconds Precision' attribute.
  See Also:
    `IntervalDataType.getFractionalSecondsPrecision()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Overrides:
    `eGet` in class `PredefinedDataTypeImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Overrides:
    `eSet` in class `PredefinedDataTypeImpl`

### eUnset

    public void eUnset(int featureID)

  Overrides:
    `eUnset` in class `PredefinedDataTypeImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Overrides:
    `eIsSet` in class `PredefinedDataTypeImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `PredefinedDataTypeImpl`

Copyright © 2006 -- 2008 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.